> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Records

> Export price records to Excel with custom column mapping.



## OpenAPI

````yaml /openapi/merchantops-public.json post /api/pricing/records/export
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/pricing/records/export:
    post:
      tags:
        - Pricing
        - Pricing
        - Price Records
      summary: Export Records
      description: Export price records to Excel with custom column mapping.
      operationId: export_records
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecordsExportRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    RecordsExportRequest:
      properties:
        batch_key:
          anyOf:
            - type: string
            - type: 'null'
          description: Export all records belonging to this batch
          title: Batch Key
        columns:
          description: 'Column mapping: [{key, label}]'
          items:
            additionalProperties: true
            type: object
          title: Columns
          type: array
        date_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Date From
        date_to:
          anyOf:
            - type: string
            - type: 'null'
          title: Date To
        product_keys:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Product keys to export all records for
          title: Product Keys
        record_keys:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Specific record keys to export
          title: Record Keys
        temporal_filter:
          anyOf:
            - type: string
            - type: 'null'
          title: Temporal Filter
      required:
        - columns
      title: RecordsExportRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````